Bank Mega - Feature #3596

Penyesuaian Flag di Payroll Status pada kolom Retro Date
05/08/2025 04:49 PM - Muhammad Bintar

Status: QA Test Start date: 05/08/2025
Priority: Urgent Due date: 05/14/2025
Assignee: Muhammad Bintar % Done: 0%
Category: Estimated time: 0.00 hour
Target version: Spent time: 0.00 hour
Description

dear tim developer, mohon supportnya untuk penyesuaian yang ada pada CR ini.

Penyesuaian Flag di Payroll Status pada kolom
Retro Date untuk mencatat penyeseuaian
Perpindahan Payrol Group untuk karyawan
Magang (MNDP)

remote.minovais.com:31139
database

remote.minovais.com, 1458
MinovaHR Bank Mega Development

History

#1 - 05/08/2025 05:07 PM - Kezia Pawitra Yulianti
- Due date changed from 05/13/2025 to 05/14/2025
- Status changed from New to Assigned

- Priority changed from Normal to Urgent

dear Yomma,

sesuai diskusi bbrp waktu lalu untuk task ini di bank mega soal pengupdatean retro date yg ada di payroll status, dilakukan saat adanya perubahan
data payroll group pada karyawan magang dengan ambil dari efektif tanggal perubahan payroll group tsb. Jd fungsi update retro datenya saat klik
button save data assignment sesuai skenario tsb.

Tolong daud komen nya jg yaa untuk solusi skenario ini

Tks

#2 - 05/09/2025 09:06 AM - Tri Rizgiaty

- Assignee changed from Tri Rizqiaty to Muhammad Bintar

Tolong dibuatin contoh datanya.
Dan tolong dijelasin lebih detailnya dengan contoh data.

#3 - 05/14/2025 10:35 AM - Mohammad Daud

- File clipboard-202505141032-Imqag.png added

- File clipboard-202505141035-kffkc.png added

- Assignee changed from Muhammad Bintar to Tri Rizqiaty

Dear Yoma,

Terlampir data yg bisa digunakan ya

07/02/2025 1/5




Y 4

<« | Home || Employee Reminder *| Maintain Master Data /| Master Data Wizard

<« Employee Detail

,  Employee Search Mega
L
sin |Employee ID: Employee ID: 24050003 Employee Type:

External ID: Position:

External ID:

Full Name: Amar Full Name: Amar Organization:

Emplayee Office: Employee Status: | Active Grade:

Employee Status: | Active
Master Data

ion | Employee List Employee Assignment >

Employee ID
24050003

Employee Name

jmar

Employee Assignment

Start Period: [F| End Period:

@add [[copy

Start Date

sto

End Date Movement Type  Movement Reas.

017052024 31/12/9999 Hiring 01

Penyesuaian Flag Tgl Retro Date di sesuiaikan jika ada peru

Trainee

Junior Officer

View All MD

[3 | search
2 Refresh

Company ID Area 1D Office ID Work Location Employee Stalus  Homebase Employee Sub T Employee Type  Payroll Group

1000

Regional

CARDCENTER ~ AREACARDC.. CARDCENTER  KCJAKARTAS.. Active KCJAKARTAS... Officer Trainee Trainee

bahan Movement Type "Appointment" dengan Movement reason "From Trainee" dan

penyesuaian Field Payroll Group dari "Trainee" menjadi "Bank Mega"

Master Data
Employee Assignment v |View View All MD
Employee Assignment *
Start Period: '8 End Period: (9 |Search
) Add || Copy
Start Date End Date Movement Type Movement Reason Payroll Group Company ID Regional
12/01/2024 31/12/0000 Appointment From Trainee Bank Mega PT BANK MEGA. Tbk KPNO
16112/2022 11/01/2024 Hiring Additional Unbudgeted Trainee PT BANK MEGA. Tbk KPNO

#4 - 05/14/2025 10:44 AM - Mohammad Daud
- File clipboard-202505141044-707xu.png added

Dear Yoma sebagai tambahan, untuk penyesuaian ini berlaku juga untuk semua payroll Group yg ada selain payroll group Bank Mega ya.. list

referensi payroll group terlampir

WIN-6PEH5TRPCMH\...ref_payroll_group

#5 - 05/16/2025 02:23 PM - Tri Rizqiaty
- File clipboard-202505161422-rex3z.png added
- File Mega.MinovaERP.Extended.HR.PA. Validation.dll added

- Status changed from Assigned to Developing

Fixing :

1. update folder extensionlibraries : Mega.MinovaERP.Exten

ded.HR.PA.Validation.dll

2. update table base_sys_action_method dengan method_name : UpdateRetroAndCorrectionStatinEmpStat , rubah menjadi seperti dibawah ini :
2 100 57 1 POST_MD_ACTION Mega.MinovaERP Extended. HR.PA Validation Mega.MinovaERP .Extended HR.PA Validation PostPAValidation  UpdateRetroAndComectionStatin Emp Stat

#6 - 05/16/2025 02:23 PM - Tri Rizqiaty
- Status changed from Developing to QA Test

- Assignee changed from Tri Rizqgiaty to Mohammad Daud

#7 - 05/20/2025 04:22 PM - Muhammad Bintar
- File clipboard-202505201621-rpi84.png added

- Assignee changed from Mohammad Daud to Tri Rizqiaty
sekarang sedang coba deploy ke Development Bank Mega di sana.

#8 - 05/20/2025 04:46 PM - Tri Rizqiaty

- Assignee changed from Tri Rizqgiaty to Muhammad Bintar
Ini ditest bisa kok, cuma emang rada lama loadingnya.

#9 - 05/21/2025 05:08 PM - Muhammad Bintar
- File clipboard-202505211707-klzsb.png added
- File clipboard-202505211708-ve3I0.png added
- Status changed from QA Test to Assigned

- Assignee changed from Muhammad Bintar to Tri Rizqiaty

sudah dicoba dan dites save assignment, sudah bisa diinput save assignment baru saat di tes di pc desktop 77.
tetapi untuk
#10 - 05/21/2025 05:12 PM - Kezia Pawitra Yulianti

- Status changed from Assigned to Revise

#11 - 05/22/2025 03:14 PM - Tri Rizqiaty

- Status changed from Revise to QA Test

- Assignee changed from Tri Rizqgiaty to Muhammad Bintar

Coba cek payroll group berubah ga?
Krn retrodate berubah kalau payrollgroup dr bukan bank mega menjadi bank mega.
